# PLAYER

```
Ped GET_PLAYER_PED(Player player)
Ped GET_PLAYER_PED_SCRIPT_INDEX(Player player)
Ped PLAYER_PED_ID()
Player PLAYER_ID()
void SET_PLAYER_WANTED_LEVEL(Player player, int wantedLevel, bool disableNoMission)
void SET_PLAYER_WANTED_LEVEL_NOW(Player player, bool p1)
void SET_PLAYER_MODEL(Player player, Hash model)
int GET_PLAYER_GROUP(Player player)
bool IS_PLAYER_PLAYING(Player player)
bool IS_PLAYER_FREE_AIMING(Player player)
string GET_PLAYER_NAME(Player player)
bool IS_PLAYER_PRESSING_HORN(Player player)
int GET_PLAYER_WANTED_LEVEL(Player player)
bool GET_PLAYER_INVINCIBLE(Player player)
void SET_PLAYER_VISIBLE_LOCALLY(Player player, bool toggle)
void SET_LOCAL_PLAYER_VISIBLE_LOCALLY(bool p0)
int PLAYER_COUNT()
bool IS_PLAYER_FEMALE(Player player)
bool IS_PLAYER_FRIEND(Player player)
Entity GET_ENTITY_PLAYER_IS_FREE_AIMING_AT(Player player)
int GET_PLAYER_SCID(Player player)
int GET_PLAYER_IP(Player player)
bool IS_PLAYER_IN_ANY_VEHICLE(Player player)
vec3 GET_PLAYER_COORDS(Player player)
float GET_PLAYER_HEADING(Player player)
float GET_PLAYER_HEALTH(Player player)
float GET_PLAYER_MAX_HEALTH(Player player)
float GET_PLAYER_ARMOR(Player player)
int GET_PLAYER_FROM_PED(Ped ped)
int GET_PLAYER_TEAM(Player player)
Vehicle GET_PLAYER_VEHICLE(Player player)
bool IS_PLAYER_HOST(Player player)
Player GET_HOST()
bool IS_PLAYER_SCRIPT_HOST(Player player)
Player GET_SCRIPT_HOST()
Hash GET_PLAYER_MODEL(Player player)
bool IS_PLAYER_VALID(Player player)
int GET_PLAYER_HOST_TOKEN(Player player)
int GET_PLAYER_HOST_PRIORITY(Player player)
void SET_PLAYER_TARGETING_MODE(int mode)
void SPECIAL_ABILITY_FILL_METER(Player player, bool p1)
string IS_PLAYER_MODDER(Player player)
bool DID_PLAYER_TRIGGER_RAC(Player player, int flag)
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cherax.vip/lua-documentation/api-reference/natives/player.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
